com.genesyslab.wfm8.API.service.config810

## Class CfgBUShort

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgBUShort

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgBUShort
      extends java.lang.Object
      implements java.io.Serializable

  "Short" Business Unit information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected int` | `wmBUId` Business Unit ID
    `protected java.lang.String` | `wmName` Name of Business Unit
    `protected int` | `wmTimezoneId` Time Zone ID--identifies `CfgTimezone` object

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgBUShort()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `hashCode()`
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `java.lang.String` | `toString()`
    `CfgBUShort` | `withWmBUId(int value)`
    `CfgBUShort` | `withWmName(java.lang.String value)`
    `CfgBUShort` | `withWmTimezoneId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmBUId

          protected int wmBUId

      Business Unit ID

    - #### wmName

          protected java.lang.String wmName

      Name of Business Unit

    - #### wmTimezoneId

          protected int wmTimezoneId

      Time Zone ID--identifies `CfgTimezone` object

  - ### Constructor Detail

    - #### CfgBUShort

          public CfgBUShort()

  - ### Method Detail

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### withWmBUId

          public CfgBUShort withWmBUId(int value)

    - #### withWmName

          public CfgBUShort withWmName(java.lang.String value)

    - #### withWmTimezoneId

          public CfgBUShort withWmTimezoneId(int value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.